Package be.ehealth.businessconnector.genins.exception

# Enum Class GenInsBusinessConnectorExceptionValues

java.lang.Object
java.lang.Enum<GenInsBusinessConnectorExceptionValues>
be.ehealth.businessconnector.genins.exception.GenInsBusinessConnectorExceptionValues

All Implemented Interfaces:
  `Serializable`, `Comparable<GenInsBusinessConnectorExceptionValues>`, `java.lang.constant.Constable`

public enum GenInsBusinessConnectorExceptionValues extends Enum<GenInsBusinessConnectorExceptionValues>
Enumeration for possible Generic Insurability business exceptions

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_RESPONSE_XML`
  `ERROR_XML_GENINSVALIDATOR`
  XML is not correct: {0}
  `ERROR_XML_KMEHRVALIDATOR`
  XML is not correct: {0}
  `ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR`
  XML is not correct: {0}
  `INPUT_PARAM_NULL`
  Input parameter null : {0}
  `INVALID_ATTRIBUTES_LENGTH`
  Invalid attributes array length : {0}
  `MALFORMED_URL`
  Invalid url to {0} file
  `OBJECTBUILDER_INSTANCIATION_ERROR`
  Object builder could not be instanciated : {0}
  `SETTINGS_NOT_FOUND`
  Could not find the settings file : {0}
  `TARGET_SERVICE_ERROR`
  TargetService error description: {0}
  `TIMESTAMP_NOT_CORRECT`
  `UNKNOWN_ERROR`
  Unknown error

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  `String`
  `getMessage()`
  `static GenInsBusinessConnectorExceptionValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GenInsBusinessConnectorExceptionValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TARGET_SERVICE_ERROR

    public static final GenInsBusinessConnectorExceptionValues TARGET_SERVICE_ERROR
    TargetService error description: {0}

  - ### SETTINGS_NOT_FOUND

    public static final GenInsBusinessConnectorExceptionValues SETTINGS_NOT_FOUND
    Could not find the settings file : {0}

  - ### OBJECTBUILDER_INSTANCIATION_ERROR

    public static final GenInsBusinessConnectorExceptionValues OBJECTBUILDER_INSTANCIATION_ERROR
    Object builder could not be instanciated : {0}

  - ### MALFORMED_URL

    public static final GenInsBusinessConnectorExceptionValues MALFORMED_URL
    Invalid url to {0} file

  - ### ERROR_XML_KMEHRVALIDATOR

    public static final GenInsBusinessConnectorExceptionValues ERROR_XML_KMEHRVALIDATOR
    XML is not correct: {0}

  - ### ERROR_XML_GENINSVALIDATOR

    public static final GenInsBusinessConnectorExceptionValues ERROR_XML_GENINSVALIDATOR
    XML is not correct: {0}

  - ### ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

    public static final GenInsBusinessConnectorExceptionValues ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR
    XML is not correct: {0}

  - ### INVALID_ATTRIBUTES_LENGTH

    public static final GenInsBusinessConnectorExceptionValues INVALID_ATTRIBUTES_LENGTH
    Invalid attributes array length : {0}

  - ### UNKNOWN_ERROR

    public static final GenInsBusinessConnectorExceptionValues UNKNOWN_ERROR
    Unknown error

  - ### INPUT_PARAM_NULL

    public static final GenInsBusinessConnectorExceptionValues INPUT_PARAM_NULL
    Input parameter null : {0}

  - ### ERROR_RESPONSE_XML

    public static final GenInsBusinessConnectorExceptionValues ERROR_RESPONSE_XML

  - ### TIMESTAMP_NOT_CORRECT

    public static final GenInsBusinessConnectorExceptionValues TIMESTAMP_NOT_CORRECT

- ## Method Details

  - ### values

    public static GenInsBusinessConnectorExceptionValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GenInsBusinessConnectorExceptionValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getErrorCode

    public String getErrorCode()
    Returns:
      the errorCode

  - ### getMessage

    public String getMessage()
    Returns:
      the message